# Retrieve a list of all entities for a specific entity definition

Lists all entities for the specified entity definition.

Endpoint: GET /api/entitydefinitions/{name}/entities
Version: v2.0
Security: OAuth2

## Path parameters:

  - `name` (string, required)
    Entity definition name to use when filtering the entities, for example M.Asset.

## Query parameters:

  - `skip` (integer)
    Number of entities to skip before retrieving results, for example 1.

  - `take` (integer)
    Number of entities to retrieve, for example 2.

  - `culture` (string)
    User culture in which to load the entities, for example en-US.

  - `filter` (string)
    Additional filters to apply when retrieving entities, for example status:active AND type:image.

  - `groups` (string)
    Member groups to include in the retrieved entities, for example PreambleGroup,ChoiceGroup.

  - `members` (string)
    Members to include in the retrieved entities, for example PreambleThemeProperty,ChoiceThemeProperty.

  - `nestedRelations` (array)
    Related entities to include fully loaded in the result, for example AssetRelation,ChildAssetRelation.

## Response 200 fields (application/json):

  - `last_hit_data` (array,null)
    The last returned hits, which are used to fetch the next page of results.

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.id` (integer)
    The ID for the entity, for example 39752.

  - `items.identifier` (string,null)
    The identifier for the entity, for example, asset.VIPeventfruitbowl.

  - `items.cultures` (array,null)
    The cultures associated with the entity, for example en-US.

  - `items.properties` (object,null)
    The properties of the entity.

  - `items.relations` (object,null)
    The relations of the entity.

  - `items.created_by` (object)
    Represents a link to a resource.

  - `items.created_by.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.created_by.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.created_by.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.created_on` (string)
    The date and time when the entity was created.

  - `items.modified_by` (object)
    Represents a link to a resource.

  - `items.modified_on` (string)
    The date and time when the entity was last modified.

  - `items.locked_by` (object)
    Represents a link to a resource.

  - `items.locked_on` (string,null)
    The date and time when the entity was locked.

  - `items.entitydefinition` (object)
    Represents a link to a resource.

  - `items.copy` (object)
    Represents a link to a resource.

  - `items.copyasync` (object)
    Represents a link to a resource.

  - `items.permissions` (object)
    Represents a link to a resource.

  - `items.requested_permissions` (object,null)
    The requested permissions with identification if a certain user has the permissions.

  - `items.lifecycle` (object)
    Represents a link to a resource.

  - `items.saved_selections` (object)
    Represents a link to a resource.

  - `items.roles` (object)
    Represents a link to a resource.

  - `items.annotations` (object)
    Represents a link to a resource.

  - `items.is_root_taxonomy_item` (boolean,null)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean,null)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.version` (integer)
    The version of the entity.

  - `items.full` (object)
    Represents a link to a resource.

  - `items.modules` (array,null)
    The modules associated with the entity.

  - `items.self` (object)
    Represents a link to a resource.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `previous` (object)
    Represents a link to a resource.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.


## Response 400 fields

## Response 401 fields

## Response 404 fields
